Subject: Protocol Action: 'IRIS - The Internet Registry Information Service (IRIS) Core Protocol' to Proposed Standard

From: The IESG <[email-masked]>
Date: Tue, 20 Jul 2004 18:36:55 -0400

The IESG has approved the following documents:

- 'IRIS - The Internet Registry Information Service (IRIS) Core Protocol '
   <draft-ietf-crisp-iris-core-07.txt> as a Proposed Standard
- 'IRIS - A Domain Registry (dreg) Type for the Internet Registry 
   Information Service '
   <draft-ietf-crisp-iris-dreg-07.txt> as a Proposed Standard
- 'IRIS - Using the Internet Registry Information Service (IRIS) over 
   the    Blocks Extensible Exchange Protocol (BEEP) '
   <draft-ietf-crisp-iris-beep-07.txt> as a Proposed Standard

These documents are products of the Cross Registry Information Service 
Protocol Working Group. 

The IESG contact persons are Ted Hardie and Scott Hollenbeck.

Technical Summary
 
This document describes an application layer client-server protocol
for a framework representing the query and result operations of
the administrative information services of Internet registries. 
Specified in XML, the protocol defines generic query and result operations 
and a mechanism for extending these operations for specific registry
service needs.
 
Working Group Summary
 
The working group went through an extensive requirements process and
had two competing proposals; this one and one based on LDAP.  The group
was able to come to consensus on this proposal, and there has been
no significant dissent on the shape of this proposal since the working group
decided on it as the way forward.
 
Protocol Quality
 
There is at least one implementation of the current specification.  The 
document
was reviewed during working group last call by the working group chairs, Dave 
Blacka, 
and Ted Hardie.

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce